Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152905 - CAN-2004-1287 nasm buffer overflow
Summary: CAN-2004-1287 nasm buffer overflow
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: nasm
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard: 1, LEGACY, NEEDSWORK, rh73, rh90
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-10 19:43 UTC by Marc Deslauriers
Modified: 2007-08-30 19:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 19:57:08 UTC


Attachments (Terms of Use)
Patch to fix CAN-2004-1287 and the additional buffer overflow in outieee.c (deleted)
2005-04-15 12:23 UTC, Jindrich Novy
no flags Details | Diff

Description David Lawrence 2005-03-30 23:31:37 UTC
Jonathan Rockway discovered a buffer overflow in nasm, the
general-purpose x86 assembler, which could lead to the execution of
arbitrary code when compiling a maliciously crafted assembler source
file.

See:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1287
https://bugzilla.redhat.com/beta/show_bug.cgi?id=143081
https://bugzilla.redhat.com/beta/show_bug.cgi?id=143080
http://www.debian.org/security/2005/dsa-623



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:31 -------

This bug previously known as bug 2429 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2429
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 Matthew Miller 2005-04-12 23:28:22 UTC
Um, maybe it's just me, but: what were you going to do with that
potentially-malicious code once it *was* assembled? I mean, in the (only
slightly!) bigger picture, how does this help? I'm just sayin'.

Comment 2 Jindrich Novy 2005-04-15 12:21:28 UTC
The problem is that a crafted asm file can be used to execute an arbitrary code
*while* compiling the source. I discovered yet another buffer vsprintf overflow
even in the latest 0.98.39 release. I'll attach here a patch to fix
CAN-2004-1287 and this newly found overflow. These patches may need to be
backported to the older nasm versions.

Comment 3 Jindrich Novy 2005-04-15 12:23:06 UTC
Created attachment 113220 [details]
Patch to fix CAN-2004-1287 and the additional buffer overflow in outieee.c

Comment 4 Matthew Miller 2005-04-15 13:21:28 UTC
Yeah, I understand the problem; I just think it's kind of funny because, y'know,
if you have untrusted ASM code and you assemble it, *then* what are you going to
do with it?

Anyway, thanks very much for your help with these.

Comment 5 Jindrich Novy 2005-04-15 13:39:47 UTC
Not a problem, this was rather funny also for me as I'd never imagine that I can
kill my machine by compiling asm source ;)

Comment 6 Jesse Keating 2007-08-30 19:57:08 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.